# Component SkiTeam Vuejs

> Vue Ski Team Component

## Synopsis
The default template for building new widgets.  Each widget created should be forked versions of this repository.

## Code Examples
Install:
```bash
npm install vue-widget-template --save
```
Usage:
``` javascript
Vue.use(Widget, options);
```
or within existing components:
``` javascript
import Widget from 'vue-template-widget';

export default {
    components: {
        Widget
    }
}
```

## Installation
Install dependencies:

``` bash
npm install
```
Copy .env.example to create .env:
``` bash
cp .env.example .env
```

Copy config files over:
``` bash
cp ./src/config/build.js ./src/config/development.js
```

Serve with hot reload at localhost:8080 (default):
``` bash
npm run dev
```

Build for production with minification:
``` bash
npm run build
```
## Documentation
Documentation of options for the widget go here.

## Test
Tests instructions go here.
